display: ":0"
xauthority: "~/.Xauthority"

enabled: true

system: TM-mid
telescope: SKA-mid
subsystem: tmc-mid

labels:
  app: tmc-prototype
annotations:
  app.gitlab.com/app: CI_PROJECT_PATH_SLUG
  app.gitlab.com/env: CI_ENVIRONMENT_SLUG

global:
  minikube: true
  tango_host: databaseds-tango-base-test:10000

dsconfig:
  configuration_file: data/tmc-mid-config.json
  image:
    registry: nexus.engageska-portugal.pt/ska-docker
    image: tango-dsconfig
    tag: 1.5.0
    pullPolicy: IfNotPresent

itango:
  image:
    registry: nexus.engageska-portugal.pt/ska-docker
    image: tango-itango
    tag: 9.3.1
    pullPolicy: IfNotPresent

tmcprototype:
  image:
    registry: nexus.engageska-portugal.pt/ska-telescope
    image: tmcprototype
    tag: 0.2.16
    pullPolicy: IfNotPresent

resources:
  limits:
    cpu: 300m
    memory: 500Mi
  requests:
    cpu: 100m
    memory: 128Mi

deviceServers:
  - name: dishmaster1
    function: receptor-simulation
    domain: sensing
    command: "/usr/local/bin/DishMasterDS "
    instances: ["01"]
    depends_on:
      - device: sys/database/2
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishmaster2
    function: receptor-simulation
    domain: sensing
    command: "/usr/local/bin/DishMasterDS "
    instances: ["02"]
    depends_on:
      - device: sys/database/2
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishmaster3
    function: receptor-simulation
    domain: sensing
    command: "/usr/local/bin/DishMasterDS "
    instances: ["03"]
    depends_on:
      - device: sys/database/2
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishmaster4
    function: receptor-simulation
    domain: sensing
    command: "/usr/local/bin/DishMasterDS "
    instances: ["04"]
    depends_on:
      - device: sys/database/2
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishleafnode1
    function: dish-monitoring
    domain: general-monitoring
    command: "/usr/local/bin/DishLeafNodeDS"
    instances: ["01"]
    depends_on:
      - device: mid_d0001/elt/master
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishleafnode2
    function: dish-monitoring
    domain: general-monitoring
    command: "/usr/local/bin/DishLeafNodeDS"
    instances: ["02"]
    depends_on:
      - device: mid_d0002/elt/master
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishleafnode3
    function: dish-monitoring
    domain: general-monitoring
    command: "/usr/local/bin/DishLeafNodeDS"
    instances: ["03"]
    depends_on:
      - device: mid_d0003/elt/master
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: dishleafnode4
    function: dish-monitoring
    domain: general-monitoring
    command: "/usr/local/bin/DishLeafNodeDS"
    instances: ["04"]
    depends_on:
      - device: mid_d0004/elt/master
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: cspsubarrayleafnode1
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/CspSubarrayLeafNodeDS"
    instances: ["01"]
    depends_on:
      - device: mid_csp/elt/subarray_01
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: cspsubarrayleafnode2
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/CspSubarrayLeafNodeDS"
    instances: ["02"]
    depends_on:
      - device: mid_csp/elt/subarray_02
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: cspsubarrayleafnode3
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/CspSubarrayLeafNodeDS"
    instances: ["03"]
    depends_on:
      - device: mid_csp/elt/subarray_03
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: cspmasterleafnode
    function: csp-monitoring
    domain: general-monitoring
    command: "/usr/local/bin/CspMasterLeafNodeDS"
    instances: ["01"]
    depends_on:
      - device: mid_csp/elt/master
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: sdpsubarrayleafnode1
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SdpSubarrayLeafNodeDS"
    instances: ["01"]
    depends_on:
      - device: mid_sdp/elt/subarray_1
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: sdpsubarrayleafnode2
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SdpSubarrayLeafNodeDS"
    instances: ["02"]
    depends_on:
      - device: mid_sdp/elt/subarray_2
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: sdpsubarrayleafnode3
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SdpSubarrayLeafNodeDS"
    instances: ["03"]
    depends_on:
      - device: mid_sdp/elt/subarray_3
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: sdpmasterleafnode
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SdpMasterLeafNodeDS"
    instances: ["01"]
    depends_on:
      - device: mid_sdp/elt/master
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: subarraynode1
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SubarrayNodeDS"
    instances: ["sa1"]
    depends_on:
      - device: ska_mid/tm_leaf_node/csp_subarray01
      - device: ska_mid/tm_leaf_node/sdp_subarray01
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: subarraynode2
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SubarrayNodeDS"
    instances: ["sa2"]
    depends_on:
      - device: ska_mid/tm_leaf_node/csp_subarray02
      - device: ska_mid/tm_leaf_node/sdp_subarray02
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: subarraynode3
    function: observation-execution
    domain: subarray
    command: "/usr/local/bin/SubarrayNodeDS"
    instances: ["sa3"]
    depends_on:
      - device: ska_mid/tm_leaf_node/csp_subarray03
      - device: ska_mid/tm_leaf_node/sdp_subarray03
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: centralnode
    function: telescope-monitoring
    domain: general-monitoring
    command: "/usr/local/bin/CentralNodeDS"
    instances: ["01"]
    depends_on:
      - device: ska_mid/tm_leaf_node/csp_master
      - device: ska_mid/tm_leaf_node/sdp_master
      - device: ska_mid/tm_subarray_node/1
      - device: ska_mid/tm_subarray_node/2
      - device: ska_mid/tm_subarray_node/3
    image:
      registry: "{{.Values.tmcprototype.image.registry}}"
      image: "{{.Values.tmcprototype.image.image}}"
      tag: "{{.Values.tmcprototype.image.tag}}"
      pullPolicy: "{{.Values.tmcprototype.image.pullPolicy}}"
  - name: tm-alarmhandler
    function: alarm-management
    domain: general-monitoring
    command: "./app/alarmhandler-srv"
    instances: ["01"]
    depends_on:
      - device: sys/database/2
    image:
      registry: nexus.engageska-portugal.pt/tango-example
      image: tmalarmhandler
      tag: latest
      pullPolicy: Always
    resources:
      limits:
        cpu: 300m
        memory: 500Mi
      requests:
        cpu: 100m
        memory: 128Mi
